ASP-Nuke RC1 图象标记跨站脚本执行漏洞(CSS/XSS)

2005-10-01T00:00:00
ID SSV:19616
Type seebug
Reporter Root
Modified 2005-10-01T00:00:00

Description

BugCVE: CVE-2002-0520 BUGTRAQ: 4475

ASP-Nuke对用户输入过滤上存在漏洞,可使远程攻击者利用在论坛上发贴对其他浏览用户进行跨站脚本执行攻击。 ASP-Nuke支持在帖子中用户使用[img]/[/img]标记插入图象连接,但它未对标记中的内容做充分过滤,这可能导致攻击者在此标记的内容中放入脚本代码,当其他用户浏览此相关链接的时候,脚本将在用户的浏览器中执行。攻击者可能借此得到用户基于Cookie的认证信息。

ASP-Nuke RC1 临时解决方法: 如果您不能立刻安装补丁或者升级,建议您采取以下措施以降低威胁: * 在漏洞修复之前暂时关闭Image标记的使用。 厂商补丁: ASP-Nuke


目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本: http://www.asp-nuke.com/downloads.asp